#
# spec file for package gnusocialshell
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _rev    01ee8ccd7322e9780f8e7dbe9e2f0edac9227409
%define _name   GnuSocialShell
Name:           gnusocialshell
Version:        1.2.0
Release:        1.1
Summary:        Text-based GNU social client
License:        GPL-3.0+
Group:          Productivity/Networking/Other
Url:            https://gnusocialshell.eu/
Source:         https://github.com/dalmemail/GnuSocialShell/archive/%{_rev}.tar.gz#/%{_name}-%{version}.tar.gz
Patch0:         gnusocialshell-fix-cflags.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(libcurl)

%description
GnuSocialShell is a text-based GNU social client written in C.

%prep
%setup -q -n %{_name}-%{_rev}
%patch0 -p1
touch config.rpath
mv config config.example

%build
autoreconf -fi
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%files
%defattr(-,root,root)
%doc LICENSE README.md config.example
%{_bindir}/%{name}

%changelog
* Wed May 10 2017 jengelh@inai.de
- Trim fillers from descriptions.
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 1.2.0:
  * No changelog available.
- Place the example config in documentation instead of defaulting
  it in /etc/.
* Thu Sep  1 2016 sor.alexei@meowr.ru
- Update to version 1.0:
  * No changelog available.
* Fri Jul 22 2016 sor.alexei@meowr.ru
- Update to version 0.9:
  * Add "make install" option.
  * Change executable binary name from "gss" to "gnusocialshell".
  * Change default config path to "/etc/gnusocialshell.conf".
* Mon Jul 11 2016 sor.alexei@meowr.ru
- Initial package.
